### Method

# Camel DataWrapper get_byte_array

since: 3.2

#### Declaration [src]

    GByteArray*
    camel_data_wrapper_get_byte_array (
      CamelDataWrapper* data_wrapper
    )

#### Description [src]

Returns the `GByteArray` being used to hold the contents of `data_wrapper`.

Note, it’s up to the caller to use this in a thread-safe manner.

Available since: 3.2

#### Return value

Type: An array of `guint8`

The `GByteArray` for `data_wrapper`.

The returned data is owned by the instance.